package com.jasamedika.medifirst2000.vo;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.PapRiwayatPenyakitPengobatan;
import com.jasamedika.medifirst2000.helper.Caption;

public class PapAnamesisVO extends BaseTransactionVO{
	@ManyToOne
	//@NotNull(message = "RegistrasiPelayananPasien tidak boleh kosong")
	private RegistrasiPelayananPasienVO registrasiPelayananPasien;	

	@ManyToOne
	@NotNull(message = "Pasien tidak boleh kosong")
	private PasienVO pasien;	
	
	@NotNull(message = "Tgl Input tidak boleh kosong")
	@Column(name = "tglInput", nullable = false)
	@Caption(value = "Tgl Input")
	private Date tglInput;

	@Column(name = "keluhan")
	@Caption(value = "keluhan")
	private String keluhan;

	@OneToMany(cascade=CascadeType.ALL,fetch = FetchType.LAZY, mappedBy = "papAnamesis")
	@Caption(value = "papRiwayatPenyakitPengobatanSet")
	Set<PapRiwayatPenyakitPengobatanVO> papRiwayatPenyakitPengobatanSet=new HashSet<PapRiwayatPenyakitPengobatanVO>();

	@ManyToOne
	private PapRiwayatPenyakitPengobatanVO papRiwayatPenyakitPengobatan;
	
	public String getKeluhan() {
		return keluhan;
	}

	public void setKeluhan(String keluhan) {
		this.keluhan = keluhan;
	}
	
	public RegistrasiPelayananPasienVO getRegistrasiPelayananPasien() {
		return registrasiPelayananPasien;
	}

	public void setRegistrasiPelayananPasien(RegistrasiPelayananPasienVO registrasiPelayananPasien) {
		this.registrasiPelayananPasien = registrasiPelayananPasien;
	}

	public PasienVO getPasien() {
		return pasien;
	}

	public void setPasien(PasienVO pasien) {
		this.pasien = pasien;
	}

	public Date getTglInput() {
		return tglInput;
	}

	public void setTglInput(Date tglInput) {
		this.tglInput = tglInput;
	}

	public Set<PapRiwayatPenyakitPengobatanVO> getPapRiwayatPenyakitPengobatanSet() {
		return papRiwayatPenyakitPengobatanSet;
	}

	public void setPapRiwayatPenyakitPengobatanSet(Set<PapRiwayatPenyakitPengobatanVO> papRiwayatPenyakitPengobatanSet) {
		this.papRiwayatPenyakitPengobatanSet = papRiwayatPenyakitPengobatanSet;
	}

}
